<template>
  <div class="auth">
    <div class="auth-wrap">
      <div class="auth-head">
        <img src="../assets/img/auth/logo.png" alt="">
      </div>
      <div class="auth-form">
        <div class="input-container">
          <p>Логин</p>
          <input type="text" placeholder="Введите логин">
        </div>
        <div class="input-container">
          <p>Пароль</p>
          <input type="text" placeholder="Введите логин">
        </div>
      </div>
      <v-btn
        color="primary"
        elevation="2"
        raised
        class="ml-auto d-flex mr-6 mb-6"
      >
        Продолжить
      </v-btn>
    </div>
  </div>
</template>

<script>
export default {
  name: 'Auth'
}
</script>

<style scoped lang="scss">
  .auth {
    width: 100vw;
    height: 100vh;
    background: url("../assets/img/auth/bg-auth.jpg") center no-repeat;
    background-size: cover;
    position: relative;
    .auth-wrap {
      width: 350px;
      padding-bottom: 5px;
      background: #FFFFFF;
      box-shadow: 0px 12px 32px rgba(0, 0, 0, 0.25);
      border-radius: 8px;
      position: fixed;
      top: calc(50vh - 202px);
      right: 100px;
      @media (max-width: 550px) {
        right: calc(50% - 175px);
      }
      .auth-head {
        display: flex;
        justify-content: center;
        align-items: center;
        padding: 26px;
        background: rgba(0, 0, 0, 0.04);
      }
      .auth-form {
        padding: 26px;
        .input-container {
          margin-bottom: 30px;
          p {
            margin-bottom: 5px;
          }
          input {
            background: #FFFFFF;
            box-shadow: inset 0px -1px 0px rgba(0, 0, 0, 0.12);
            width: 100%;
            padding: 10px 10px 10px 0;
          }
          input:focus {
            background: #FFFFFF;
            box-shadow: inset 0px -1px 0px #1976D2;
          }
        }
      }
    }
  }
</style>
